%define	_requires_exceptions pear(PEAR/PackageFileManager.php)
%define upstream_name XML_FOAF
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.3.1
Release:     	%mkrel 3
Summary:    	Provides the ability to manipulate FOAF RDF/XML
License: 	BSD License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/XML_FOAF-%{version}.tgz
URL: 		http://pear.php.net/package/XML_FOAF
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear-XML_Tree >= 1.1
Requires:	php-pear-XML_Beautifier >= 0.2.2
Requires:	php-pear >= 1.4.0b1
Requires:	php-pear-RDF
BuildArch: noarch

%description
XML_FOAF Allows advanced creation and simple parsing of FOAF RDF/XML files.
The FOAF Project can be found at http://www.foaf-project.org -
XML_FOAF_Lite will soon follow for simple creation of FOAFs.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/XML_FOAF.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/XML_FOAF.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/XML_FOAF
fi

%files
%defattr(-,root,root)
%doc docs/XML_FOAF/*
%{peardir}/*
%{xmldir}/XML_FOAF.xml


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.3.1-3.mga3
+ Revision: 377391
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 14 2012 spuhler <spuhler> 0.3.1-2.mga2
+ Revision: 196078
- added _requires_exceptions pear(PEAR/PackageFileManager.php) for replaced package

* Fri Jan 13 2012 spuhler <spuhler> 0.3.1-1.mga2
+ Revision: 195543
- upgrade to 0.3.1
  pearized spec

* Sat Jan 29 2011 spuhler <spuhler> 0.3.0-4.mga1
+ Revision: 44425
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-XML_FOAF

